| Summary: | rhel-osp-director: "openstack undercloud install" fails with "Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance" | ||||||
|---|---|---|---|---|---|---|---|
| Product: | Red Hat OpenStack | Reporter: | Alexander Chuzhoy <sasha> | ||||
| Component: | rhosp-director | Assignee: | Marios Andreou <mandreou> | ||||
| Status: | CLOSED NOTABUG | QA Contact: | Arik Chernetsky <achernet> | ||||
| Severity: | unspecified | Docs Contact: | |||||
| Priority: | urgent | ||||||
| Version: | 8.0 (Liberty) | CC: | dbecker, jslagle, mandreou, mburns, morazi, rhel-osp-director-maint, sasha | ||||
| Target Milestone: | --- | ||||||
| Target Release: | 8.0 (Liberty) | ||||||
| Hardware: | Unspecified | ||||||
| OS: | Unspecified | ||||||
| Whiteboard: | |||||||
| Fixed In Version: | Doc Type: | Bug Fix | |||||
| Doc Text: | Story Points: | --- | |||||
| Clone Of: | Environment: | ||||||
| Last Closed: | 2016-03-21 19:50:02 UTC | Type: | Bug | ||||
| Regression: | --- | Mount Type: | --- | ||||
| Documentation: | --- | CRM: | |||||
| Verified Versions: | Category: | --- | |||||
| oVirt Team: | --- | RHEL 7.3 requirements from Atomic Host: | |||||
| Cloudforms Team: | --- | Target Upstream Version: | |||||
| Attachments: |
|
||||||
Created attachment 1137469 [details]
install-undercloud.log
is this still reproducible sasha? I just tried on my environment; I had instack-undercloud-2.1.2-39.el7ost.noarch and updated - 8 repos, yum update and re-run openstack undercloud install. I got instack-undercloud-2.2.6-1.el7ost.noarch and didn't hit the error/trace above (I did hit something else bug 1315442 but as stated there re-running completed OK). Perhaps it was specific to 2.2.5-1 ? The issue is reproducible on this setup. I successfuly used this puddle on another env. Found that the system is registered with another puppet server (presumably by provisioning). Will re-test it early next week and close the bug if this fixes the issue. This was due to configuration error. The host was provisioned with external puppet. |
rhel-osp-director: "openstack undercloud install" fails with "Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance" Environment: instack-undercloud-2.2.5-1.el7ost.noarch Steps to reproduce: Run "openstack undercloud install" Result: dib-run-parts Thu Mar 17 17:58:56 UTC 2016 20-os-net-config completed dib-run-parts Thu Mar 17 17:58:56 UTC 2016 Running /usr/libexec/os-refresh-config/configure.d/40-hiera-datafiles [2016/03/17 05:58:56 PM] [WARNING] DEPRECATED: falling back to /var/run/os-collect-config/os_config_files.json dib-run-parts Thu Mar 17 17:58:59 UTC 2016 40-hiera-datafiles completed dib-run-parts Thu Mar 17 17:58:59 UTC 2016 Running /usr/libexec/os-refresh-config/configure.d/50-puppet-stack-config + set -o pipefail + set +e + puppet apply --detailed-exitcodes /etc/puppet/manifests/puppet-stack-config.pp Could not retrieve fact='apache_version', resolution='<anonymous>': undefined method `[]' for nil:NilClass Warning: Scope(Class[Keystone::Endpoint]): In Mitaka, the default value of $keystone::endpoint::version will change to ''. To avoid this warni ng, please set the version parameter. Error: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glance Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan ce Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan ce on node host06-rack02-v35.scale.openstack.engineering.redhat.com Error: Could not autoload puppet/type/glance_image: Could not autoload puppet/provider/glance_image/glance: superclass mismatch for class Glan ce on node host06-rack02-v35.scale.openstack.engineering.redhat.com + rc=1 + set -e + echo 'puppet apply exited with exit code 1' puppet apply exited with exit code 1 + '[' 1 '!=' 2 -a 1 '!=' 0 ']' + exit 1 [2016-03-17 18:00:27,528] (os-refresh-config) [ERROR] during configure phase. [Command '['dib-run-parts', '/usr/libexec/os-refresh-config/conf igure.d']' returned non-zero exit status 1] [2016-03-17 18:00:27,529] (os-refresh-config) [ERROR] Aborting... Traceback (most recent call last): File "<string>", line 1, in <module> File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 807, in install _run_orc(instack_env) File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 691, in _run_orc _run_live_command(args, instack_env, 'os-refresh-config') File "/usr/lib/python2.7/site-packages/instack_undercloud/undercloud.py", line 366, in _run_live_command raise RuntimeError('%s failed. See log for details.' % name) RuntimeError: os-refresh-config failed. See log for details. Command 'instack-install-undercloud' returned non-zero exit status 1 Expected result: Successful installation of undercloud